## DzlDockBin DzlDockBin |

## Functions

GtkWidget * | dzl_dock_bin_new ()
GtkWidget * | dzl_dock_bin_get_center_widget ()
GtkWidget * | dzl_dock_bin_get_top_edge ()
GtkWidget * | dzl_dock_bin_get_left_edge ()
GtkWidget * | dzl_dock_bin_get_bottom_edge ()
GtkWidget * | dzl_dock_bin_get_right_edge ()

## Types and Values

#define | DZL_DOCK_BIN_STYLE_CLASS_PINNED
| DzlDockBinClass

## Description

## Functions

### dzl_dock_bin_new ()

    GtkWidget *
    dzl_dock_bin_new (void);

### dzl_dock_bin_get_center_widget ()

    GtkWidget *
    dzl_dock_bin_get_center_widget (DzlDockBin *self);

Gets the center widget for the dock.

#### Parameters

self | A DzlDockBin |

#### Returns

A GtkWidget or `NULL`.

[transfer none][nullable]

### dzl_dock_bin_get_top_edge ()

    GtkWidget *
    dzl_dock_bin_get_top_edge (DzlDockBin *self);

### dzl_dock_bin_get_left_edge ()

    GtkWidget *
    dzl_dock_bin_get_left_edge (DzlDockBin *self);

### dzl_dock_bin_get_bottom_edge ()

    GtkWidget *
    dzl_dock_bin_get_bottom_edge (DzlDockBin *self);

### dzl_dock_bin_get_right_edge ()

    GtkWidget *
    dzl_dock_bin_get_right_edge (DzlDockBin *self);

## Types and Values

### DZL_DOCK_BIN_STYLE_CLASS_PINNED

    #define DZL_DOCK_BIN_STYLE_CLASS_PINNED "pinned"

### DzlDockBinClass

    typedef struct {
      GtkContainerClass parent;

      GtkWidget *(*create_edge) (DzlDockBin      *self,
                                 GtkPositionType  edge);

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    } DzlDockBinClass;